# WEB+DB PRESS Vol.129 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.129」の連載「Perl Hackers Hub」第73回「Perlで作るGraphQL API」（mangano-ito、中岡大樹著）のサンプルコードです。

## 実行方法

サンプルコードによる GraphQL API サーバーの起動方法について二通りの方法を用意しています．

### Docker Compose

Docker Compose で環境を構築します．Redis が立ち上がりコードもそのままで動くためこちらで確認することをおすすめします．

以下の手順でサーバーを起動させることができます．

1. Docker Compose のセットアップ
2. `docker compose up`
3. `http://0:5000/` が GraphQL API のエンドポイントです

### ローカル

ローカル環境で実行します．

Redis への接続が必要なため，以下の事前準備を行う必要があります

1. Redis のセットアップ
2. `App::Config::REDIS_SERVER` で定義されている Redis のホストとポート番号を指定の書き換え

Redis のセットアップ後，以下の手順でローカルサーバーを起動させることができます．

1. Carton のセットアップ 
2. `carton install` を行います．
3. `carton exec -- plackup server.psgi` でサーバーを起動します
4. `http://0:5000/` が GraphQL API のエンドポイントです
