package App::GraphQL::Resolver::Book;

use strict;
use warnings;
use utf8;

use App::Repository::Author;

# Book.title の Resolver 実装
sub title {
    my ($class, $root_value, $args, $context, $info) = @_;

    return 'My Book';
}

# Book.author の Resolver 実装
sub author {
    my ($class, $root_value, $args, $context, $info) = @_;

    return App::Repository::Author->get_by_id($root_value->{author_id});
}

1;
