package App::Repository::Book;

use strict;
use warnings;
use utf8;

our $STORE = +{
    "Book::1" => +{ id => "Book::1", title => 'Book1', author_id => "Author::1" },
    "Book::2" => +{ id => "Book::2", title => 'Book2', author_id => "Author::2" },
    "Book::3" => +{ id => "Book::3", title => 'Book3', author_id => "Author::1" },
};

sub get_by_id {
    my ($class, $id) = @_;

    return $STORE->{$id};
}

sub get_by_ids {
    my ($class, $ids) = @_;

    return +{map { $_ => $STORE->{$_} } $ids->@*};
}

1;
