package App::GraphQL::Type::Interface::Node;

use strict;
use warnings;
use utf8;

sub resolve_type {
    my ($class, $value, $context, $info, $type_node) = @_;
    my $args = $info->{field_nodes}->[0]->{arguments};
    my $id = ref($args->{id}) eq 'SCALAR'
        ? $info->{variable_values}->{id}->{value}
        : $args->{id};
    my ($type, ) = split '::', $id;
    
    return $type;
}

1;
