package App::GraphQL::Util;

use strict;
use warnings;
use utf8;

use Digest::SHA1 qw(sha1_hex);
use JSON::XS;

sub generate_hash_from_payload {
    my ($class, $payload) = @_;
    my $serialized_payload = JSON::XS->new->utf8(1)->canonical->encode($payload);

    return sha1_hex($serialized_payload);
}

1;
