package App::Repository::Author;

use strict;
use warnings;
use utf8;

our $STORE = +{
    "Author::1" => +{ id => "Author::1", name => 'Author1' },
    "Author::2" => +{ id => "Author::2", name => 'Author2' },
};

sub get_by_id {
    my ($class, $id) = @_;

    return $STORE->{$id};
}

sub get_by_ids {
    my ($class, $ids) = @_;

    return +{map { $_ => $STORE->{$_} } $ids->@*};
}

1;
